> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an execution detail projection



## OpenAPI

````yaml /openapi.json get /api/orgs/{id}/executions/{executionId}
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Artifacts
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
  - name: Agent executions
  - name: Human attention
paths:
  /api/orgs/{id}/executions/{executionId}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
      - name: executionId
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Agent executions
      summary: Read an execution detail projection
      operationId: get_agent_execution
      responses:
        '200':
          description: Execution detail
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - execution
                properties:
                  execution:
                    $ref: '#/components/schemas/AgentExecutionDetail'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    AgentExecutionDetail:
      allOf:
        - $ref: '#/components/schemas/AgentExecution'
        - type: object
          required:
            - issue
            - project
            - created_by
            - transitions
            - evidence
          properties:
            issue:
              type: object
              required:
                - id
                - title
                - identifier
              properties:
                id:
                  type: string
                  format: uuid
                title:
                  type: string
                identifier:
                  type:
                    - string
                    - 'null'
              additionalProperties: false
            project:
              type: object
              nullable: true
              required:
                - id
                - name
                - slug
              properties:
                id:
                  type: string
                  format: uuid
                name:
                  type: string
                slug:
                  type: string
              additionalProperties: false
            created_by:
              $ref: '#/components/schemas/AgentExecutionActor'
            transitions:
              type: array
              items:
                $ref: '#/components/schemas/AgentExecutionTransition'
            evidence:
              type: array
              items:
                $ref: '#/components/schemas/AgentExecutionEvidence'
          additionalProperties: true
    AgentExecution:
      type: object
      additionalProperties: true
      required:
        - id
        - issue_id
        - state
        - state_version
        - agent
        - last_actor
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        issue_id:
          type: string
          format: uuid
        current_project_id:
          type: string
          format: uuid
          nullable: true
        project_id_at_creation:
          type: string
          format: uuid
          nullable: true
        state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
        agent:
          $ref: '#/components/schemas/AgentExecutionActor'
        last_actor:
          $ref: '#/components/schemas/AgentExecutionActor'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    AgentExecutionActor:
      type: object
      additionalProperties: false
      required:
        - id
        - display_name
        - type
        - deleted
      properties:
        id:
          type: string
          format: uuid
        display_name:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - human
            - agent
            - integration
        deleted:
          type: boolean
    AgentExecutionTransition:
      type: object
      additionalProperties: false
      required:
        - id
        - from_state
        - to_state
        - state_version
        - reason_code
        - summary
        - actor
        - created_at
      properties:
        id:
          type: string
          format: uuid
        from_state:
          type:
            - string
            - 'null'
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
            - null
        to_state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
        reason_code:
          type:
            - string
            - 'null'
        summary:
          type:
            - string
            - 'null'
        actor:
          $ref: '#/components/schemas/AgentExecutionActor'
        created_at:
          type: string
          format: date-time
    AgentExecutionEvidence:
      type: object
      additionalProperties: false
      required:
        - id
        - issue_id
        - link_type
        - target_id
        - created_by
        - created_at
      properties:
        id:
          type: string
          format: uuid
        issue_id:
          type: string
          format: uuid
        link_type:
          type: string
          enum:
            - comment
            - activity_event
            - issue_pr_link
            - attachment
        target_id:
          type: string
          format: uuid
        created_by:
          $ref: '#/components/schemas/AgentExecutionActor'
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
  responses:
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````